datacache <- new.env(hash=TRUE, parent=emptyenv())

h10kcod <- function() showQCData("h10kcod", datacache)
h10kcod_dbconn <- function() dbconn(datacache)
h10kcod_dbfile <- function() dbfile(datacache)
h10kcod_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
h10kcod_dbInfo <- function() dbInfo(datacache)

h10kcodORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "h10kcod.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "h10kcod", "chip h10kcod", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("h10kcod.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(h10kcod_dbconn())
}

